Stamp with python
hello… on layouts, sometimes i need to add a symbol, i would like to make a python scipt, that it make the polyline and i’ve just to click to put it where i want. there is two versions of this symbol,...
View ArticleData type in python
(topic withdrawn by author, will be automatically deleted in 24 hours unless flagged) 1 post - 1 participant Read full topic
View ArticleScript - Change Block's+Dependencies layer but Maintain All Colors
Hi All, When importing some autocad drawings i want to move them on a specific layer. Usually there are many nested blocks which are making my layer layout look messy every time i import an autocad...
View ArticleEto Slider - Showing current Value
Hi! I’m using Eto in a Python script to get user input. I am using the slider to choose a value, but since the slider only shows ‘ticks’ it’s hard to be sure which value was chosen. I managed to show...
View ArticleAutomatically annotate a set of points with X,Y,Z coordinates
Hi All, I’m trying to find way to automatically annotate multiple points specifically to show the XYZ coordinates. point set.3dm (52.8 KB) 5 posts - 2 participants Read full topic
View ArticleRhino.Input.Custom.OptionInteger
hello, in a script i would like to use Rhino.Input.Custom.Option but with a string and not integer or other. for example the custom option default is Up, so the command line offers three other choice:...
View ArticleLine Width and color... RhinoCommon
hello, i search to find by myself in the API DOC Rhino Common, but it’s really hard… some times i found, but there must be a method to search in this document… if i want to know the method to modify...
View ArticleGenerate name Callout for multiple objects
Hi All, I’m wondering if anyone has published a tool to automatically generate object name callout for multiple objects. Perimeter.3dm (2.4 MB) 1 post - 1 participant Read full topic
View ArticleRhinoCommon equivalents of PlanarUnion, PlanarDifference, PlanarIntersection?
As per the title - are there any yet? 2 posts - 2 participants Read full topic
View ArticleApply "planner curve" command to multiple object but one by one,not all together
Hi everyone! is there a way to Apply “planner curve” command to multiple object but one by one,not all together in order to avoid the self intersect error message? all curves are planner and closed,...
View ArticleMondrian Subdivision Through Points
I have a python script which does a mondrian subdivision. This is where an initial rectangle is split into two or more rectangles - then those rectangles are split into two or more rectangles, etc....
View ArticleRhino 7 error - RhinoScript AddMesh method
Hi everyone, I would like to bring to your attention an orror on AddMesh method that has appeared with rhino7. The error does’nt exist in rhino5. Some more description strMesh = rhino.AddMesh(arrNode,...
View ArticleCan't import filenames with blanks in - Rhino7, python
Hi Hope everyone is doing well. Running Python script in Rhino 7. I can’t get import to accept blanks as part of the file name. No matter what I do it uses first blank as an enter and chops the the...
View ArticleThe polyline objects are overlapping, how to remove short curves?
helpfind1337×585 3.31 KB I am looking for a solution to eliminate short curves when objects are overlapping. find 2 curves overlapping then delete object short. Please help 1 post - 1 participant Read...
View ArticleGetPageViews or get RhinoView from file in the RhinoCommon API
Hello I´ve been trying to use the Rhino.Display.ViewCapture.CaptureToBitmap() from the RhinoCommon API but it is returning None: import Rhino rhino_file_viewtable = rhino_file_instance.Views...
View ArticleIteration points
hello every body, i’ve got a closed polyline, and i would like to know how many 90° angles there is. so i wrote: points=rs.CurvePoints(cont) for i in range(0,len(points)-1): angle=rs.Angle2( points[i]...
View ArticleUse Rhino.Python to manipulate the Gumball?
Is it possible to use Rhino.Python to manipulate the Gumball location? The reason for this question is that I am generating some geometry from a Python script, however the Gumball is not located at...
View ArticleChanging dot secondary text problem
Hey guys, i tried to change a dot secondary text and dosen’t work , what i m missing? import rhinoscriptsyntax as rs textDot = rs.GetObject(“Select textDot”, rs.filter.textdot) textDot =...
View ArticlePlug In Compiler
It has been quite a while since I have had to compile a plug in for Rhino is there any info out in the public domain for guidance on this. I also cannot remember if the actual RVB script has to be...
View ArticleAny way to query the location of a sphere object?
I’m using Python for Rhino, and I was wondering if there is a way to query a position of a sphere object using its name or GUID. I realize that the concept of position is not well defined for generic...
View Article